#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySummerPlanRechargedCFGData
{
	//ID
	int mID;
	//解锁条件
	int mNeedRecharged;
	//奖励道具ID
	std::vector<int> mItemID;
	//奖励道具数量
	std::vector<int> mItemCount;
};

class M_ActivitySummerPlanRechargedCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerPlanRechargedCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerPlanRechargedCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivitySummerPlanRechargedCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySummerPlanRechargedCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivitySummerPlanRechargedCFGData> mMapData;
};
